Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Variables
pipeable.hpp File Reference

## Classes
struct | ranges::make_pipeable_fn
struct | ranges::pipeable_access
struct | ranges::pipeable_access::impl< Pipeable >
struct | ranges::pipeable_base

## Typedefs
template<typename T >
using | ranges::is_pipeable = meta::bool_< is_pipeable_v< T > >
template<typename >
using | ranges::pipeable = pipeable_base

## Variables
template<typename T >
constexpr bool | ranges::is_pipeable_v = __is_base_of(pipeable_base, T)
template<typename T >
constexpr bool | ranges::is_pipeable_v< T & > = __is_base_of(pipeable_base, T)
template<typename T >
constexpr bool | ranges::is_pipeable_v< T && > = __is_base_of(pipeable_base, T)
constexpr make_pipeable_fn | ranges::make_pipeable {}